Перейти к содержимому

Parsewise API

Integrate AI consultant and semantic product search directly into your application. RESTful API with SSE streaming support for native user experience.

Features

Complete toolkit for AI consultant integration:

AI Chat

Streaming and request-response.

Search

Semantic by meaning.

Products

CRUD with auto-indexing.

Authentication

Tokens with role-based access.

Quick Start

Get an API token in the Parsewise admin panel and make your first request.

curl -X POST "https://api.parsewise.ru/v1/chat" \
  -H "Authorization: Bearer pw_your_token" \
  -H "Content-Type: application/json" \
  -d '{"message": "What products do you recommend?"}'

Base URL

All API requests are sent to:
https://api.parsewise.ru/v1

Response Format

All responses are returned in JSON format. In case of error, an object with field detail:

{
  "detail": "Error description"
}

Was this page helpful?